/* geepro - Willem eprom programmer for linux
 * Copyright (C) 2006 Krzysztof Komarnicki
 * Email: krzkomar@wp.pl
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version. See the file COPYING. 
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef __gui_h_
#define __gui_h_

/* drobny font */
#define VIEW_FONT_DSC		"Luxi Mono 8"

#define MAIN_WINDOW_WIDTH	490
#define MAIN_WINDOW_HEIGHT	520
#define PICT_AREA_WIDTH		170
#define PICT_AREA_HEIGHT	170
#define SW_AREA_WIDTH		150
#define SW_AREA_HEIGHT		35
#define PIX_BUF_VIEW		30
#define WG_VIEW_DA		31
#define WG_VIEWER_ADJ		32

#define CELL_SIZE_X		18
#define CELL_ADRESS_SIZE_X	60
#define CELL_SIZE_Y		16
#define CELL_TITLE_Y		22
#define PB_HEIGHT		25

/* wyciac oba */
#define GTK_WINDOW_DIALOG GTK_WINDOW_TOPLEVEL
#define TOOLBAR_PARAMS

#define	PIN_01	"1-Vpp"
#define	PIN_02	"2-A16"
#define	PIN_03	"3-A15"
#define	PIN_04	"4-A12"
#define	PIN_05	"5-A7"
#define	PIN_06	"6-A6"
#define	PIN_07	"7-A5"
#define	PIN_08	"8-A4"
#define	PIN_09	"9-A3"
#define	PIN_10	"10-A2"
#define	PIN_11	"11-A1"
#define	PIN_12	"12-A0"
#define	PIN_13	"13-D0"
#define	PIN_14	"14-D1"
#define	PIN_15	"15-D2"
#define	PIN_16	"16-GND"
#define	PIN_32	"Vcc-32"
#define	PIN_31	"WE-31"
#define PIN_30	"A17-30"
#define PIN_29	"A14-29"
#define PIN_28	"A13-28"
#define PIN_27	"A8-27"
#define PIN_26	"A9-26"
#define PIN_25	"A11-25"
#define PIN_24	"OE-24"
#define PIN_23	"A10-23"
#define PIN_22	"CE-22"
#define PIN_21	"D7-21"
#define PIN_20	"D6-20"
#define PIN_19	"D5-19"
#define PIN_18	"D4-18"
#define PIN_17	"D3-17"

#define ADD_PIN_R(nm,id)	add_pin(tmp, nm, 1, 1.3, id)
#define ADD_PIN_L(nm,id)	add_pin(tmp, nm, 0, 1.3, id)    
#define SET_HW_ADDR(adr)	g_print("Set addr: %i\n",adr);
#define SET_HW_DATA(data)	g_print("Set data: %i\n",data);
#define error_box(msg)		dialog_box("Error",msg,"OK",NULL)

#define FO_RB_FIRST	1
#define FO_RB_NEXT	2
#define FO_LABEL	3
#define FO_CHECK	4
#define FO_ENTRY	5
#define FO_CPAGE	6

#define FO_NONE		0
#define FO_H_FIRST	1
#define FO_H_NEXT	2


extern void set_viewer_size(int);
extern void draw_pict();
extern void draw_dip_switch();
extern void viewer_rfsh();
extern void set_default();
extern void stat_rfsh(void);
extern void fast_option_add(int type, char *name, int value, void *fnc, void *parm, char pos);
extern void adv_option_add(int type, char *name, int value, void *fnc, void *parm, char pos);
extern void adv_option_purge();
extern void fast_option_purge();
extern void adv_add_page(char *name);
extern void menu_setup(int *,char***);
extern void progress_break();
extern void progress_bar_init(char *title, long range);
extern char progress_bar_set(long value);
extern void progress_bar_free();
extern void dialog_kill();
extern char dialog_box(char *title, char *txt, char *bt1, char *bt2);
extern void gui_run();
extern void kill_me();
extern char gui_cmp_pls(int a,int b);
extern int  register_image(char**);
#endif
