/* geepro - Willem eprom programmer for linux
 * Copyright (C) 2006 Krzysztof Komarnicki
 * Email: krzkomar@wp.pl
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version. See the file COPYING. 
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef __willem_h__
#define __willem_h__

/*
#define	TA_01	10
#define	TA_02	10
#define	TA_03	20

#define TD_01	10
#define TD_02	10
#define TD_03	10
#define TD_04	10
#define TD_05	10
*/

#define	TA_01	1
#define	TA_02	1
#define	TA_03	1

#define TD_01	1
#define TD_02	1
#define TD_03	1
#define TD_04	1
#define TD_05	1


#define DEBUG printf

/* programmer control */
extern void vcc_on();
extern void vcc_off();
extern void vpp_on();
extern void vpp_off();
extern void set_dip_sw(int dip); /* It's a dummy function (maybe for future version ?) */
extern void set_vpp_voltage(float voltage); /* It's a dummy function (maybe for future version ?) */

/* ZIF-32 */
extern void set_par_data_pin(char value);
extern void set_par_addr_pin(int addr);
extern void set_we_pin(char bool);
extern void set_oe_pin(char bool);
extern void set_ce_pin(char bool);
extern char get_par_data_pin(void);

/* serial 93Cxx & 25Cxx */
extern void set_cs_pin(char bool);
extern void set_clk_pin(char bool);
extern void set_di_pin(char bool);
extern char get_do_pin(void);

/* serial 24Cxx & pic */
#define set_scl_pin(val)	set_clk_pin(val)
#define set_sda_pin(val)	set_di_pin(!(val))
#define set_test_pin(val)	set_cs_pin(val)
#define get_sda_pin()		(!get_do_pin())

#endif
